Skip to content

Searches for application groups using predefined parameters

Request

Searches for application groups using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The application group that you would like to be saved.

contact_idArray of strings(Contact)
idsArray of strings(Ids)

IDs to search

namestring(Name)
process_idArray of strings(Process)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/applicationGroups/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "contact_id": [
      "string"
    ],
    "ids": [
      "string"
    ],
    "name": "string",
    "process_id": [
      "string"
    ]
  }'

Responses

The application group search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(ApplicationGroupSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }